<div class="col-12 container">
  <div class="card">
    <div class="card-body">
      <div class="row">
        <h4 class="card-title col-12 text-primary">
          Atencion de Servicios y Reclamos / Monitoreo Transacional
        </h4>
        <h6 class="card-subtitle col-12">.</h6>
        <div class="mb-4 row col-12">
          <h3 class="col-sm-6 col-md-4 text-primary">Inventario de Casos</h3>
          <form
            class="form-horizontal form-material col-6 col-md-8"
            (ngSubmit)="buscar()"
          >
            <div class="form-group row">
              <div class="col-md-12">
                <input
                  type="text"
                  placeholder="Caso"
                  class="form-control form-control-line col-md-9"
                  name="datoBuscar"
                  [(ngModel)]="datoBuscar"
                />
                <button
                  class="col-md-3 btn waves-effect waves-light btn-success text-white"
                  type="submit"
                >
                  Buscar
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <h5 class="col-12 text-primary">Asignados</h5>
      <div class="table-responsive">
        <table class="table table-bordered">
          <thead class="bg-dark text-white">
            <tr>
              <th class="text-center">SAKE</th>
              <th class="text-center">Fecha de ingreso</th>
              <th class="text-center">Fecha de asignacion</th>
              <th class="text-center">Tipologia</th>
              <th class="text-center">Analizta asignado</th>
              <th class="text-center">Status</th>
            </tr>
          </thead>
          <tbody *ngFor="let item of SenorAsignadosItems; let i = index">
            <tr>
              <td class="text-center">{{ item.sake }}</td>
              <td class="text-center">{{ item.fecha_ingreso }}</td>
              <td class="text-center">{{ item.fecha_asignacion }}</td>
              <td class="text-center">{{ item.tipo }}</td>
              <td class="text-center">{{ item.analizta_asignado }}</td>
              <td class="text-center">
                <div *ngIf="item.status > 100; else alert">
                  <td class="text-center">
                    <img
                      src="./assets/iconos/icono_advertencia.png"
                      alt=""
                      type="button"
                      data-toggle="modal"
                      data-target="#TarjetaMensajes"
                      (click)="abrirModal(i)"
                    />
                    <!-- Modal -->
                    <div
                      class="modal fade"
                      id="TarjetaMensajes"
                      tabindex="-1"
                      role="dialog"
                      aria-labelledby="exampleModalLabel"
                      aria-hidden="true"
                    >
                      <form (ngSubmit)="enviarInfo()">
                        <div class="modal-dialog" role="document">
                          <div class="modal-content">
                            <div class="modal-body row">
                              <div class="col-sm-12 col-md-6 mt-2">
                                <h5>Informe Sake#: {{ modal.sake }}</h5>
                              </div>
                              <div class="col-sm-12 col-md-6 mt-2">
                                <h5>Fecha: {{ modal.fecha }}</h5>
                              </div>

                              <div class="col-sm-12 mt-2">
                                <h5>Informacion solicitada</h5>
                              </div>

                              <div class="container my-3">
                                <textarea
                                  class="col-sm-12 card text-justify"
                                  [(ngModel)]="respuesta"
                                >
                                </textarea>
                              </div>
                              <div class="col-3"></div>
                              <div class="col-3">
                                <button
                                  type="submit"
                                  class="btn btn-primary col-12"
                                  data-dismiss="modal"
                                >
                                  aceptar
                                </button>
                              </div>
                              <div class="col-3 row">
                                <button
                                  type="submit"
                                  class="btn btn-success col-12"
                                >
                                  Enviar
                                </button>
                              </div>
                              <div class="col-3">
                                <button
                                  type="submit"
                                  class="btn btn-danger col-12"
                                  data-dismiss="modal"
                                >
                                  Cerrar
                                </button>
                              </div>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>
                  </td>
                </div>
                <ng-template #alert>
                  <div class="posgress">
                    <div
                      class="progress-bar bg-success"
                      role="progressbar"
                      style="width: item.status%;"
                      aria-valuemin="0"
                      aria-valuemax="100"
                    >
                      {{ item.status }}%
                    </div>
                  </div>
                </ng-template>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
